﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.Editors;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += new RoutedEventHandler(MainWindow_Loaded);
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<SalesLine> salesLines = new ObservableCollection<SalesLine>()
            {
                new SalesLine()
                { 
                    ProductName="Product1",
                    Items=new ObservableCollection<Item>()
                    {
                        new Item(){ ItemName="Item1"},
                        new Item(){ ItemName="Item2"},
                        new Item(){ ItemName="Item3"}
                    }
                },
                new SalesLine()
                { 
                    ProductName="Product2",
                    Items=new ObservableCollection<Item>()
                    {
                        new Item(){ ItemName="Item1"},
                        new Item(){ ItemName="Item2"}
                    }
                },
                new SalesLine()
                { 
                    ProductName="Product3",
                    Items=new ObservableCollection<Item>()
                    {
                        new Item(){ ItemName="Item1"},
                        new Item(){ ItemName="Item2"},
                        new Item(){ ItemName="Item3"},
                        new Item(){ ItemName="Item4"}
                    }
                }
            };
            xdg.DataSource = salesLines;

            xdg.DefaultFieldLayout.Fields["ProductName"].Settings.EditorType = typeof(XamComboEditor);
            xdg.DefaultFieldLayout.Fields["ProductName"].Settings.EditorStyle = root.Resources["comboEditorStyle"] as Style;
        }
    }
}
